<?php

/*
 * ----------------------------------------------------
 * 程序名称: 牛叉广告管理系统(NiuXams)
 * 程序功能: 实现专业的广告投放、管理和统计等管理系统！
 * 程序开发: 牛叉软件(NiuXSoft.com)
 * 版权所有: [NiuXams] (C)2013-2099 NiuXSoft.com
 * 官方网站: www.niuxsoft.com  Email: niuxsoft@163.com
 * ----------------------------------------------------
 * 使用条款:
 * 1.为构建创新型经济社会,请尊重保护知识产权！
 * 2.该软件个人非商业用途免费使用.
 * 3.免费使用禁止修改版权信息和官方推广链接.
 * 4.禁止任何衍生版本.禁止任何非法修改源代码贩卖.
 * ----------------------------------------------------
 */

defined('NIUX_INCLUDED') or exit('Access Denied.');
$id = empty($_POST['id']) ? (empty($_GET['id']) ? 0 : $_GET['id']) : $_POST['id'];
is_int($id) || $id >= 0 || die('非法输入！');
$title = $id ? '修改' : '新增';
$title .= '管理员' . ($id ? ' ID：' . $id : '');
$query = "SELECT id,name FROM `${cfg_dbprefix}admin_power` WHERE id<=$powerID;";
$powerSelect = '';
if ($result = $nxsql->query($query)) {
    while ($row = $result->fetch_row()) {
        $powerSelect .= '<option value="' . $row[0] . '">' . htmlspecialchars($row[1]) . '</option>';
    }
    $result->close();
}
$powerLbSelect = '<option value="0">自己</option>';
if ($adminPowerLB >= 1)
    $powerLbSelect .= '<option value="1">同群</option>';
if ($adminPowerLB >= 2)
    $powerLbSelect .= '<option value="2">全部</option>';
if ($adminPowerLB >= 2) {
    $query = "SELECT id,name FROM `${cfg_dbprefix}admin_lb`;";
    $lbSelect = '<option value="0">公共</option>';
    if ($result = $nxsql->query($query)) {
        while ($row = $result->fetch_row()) {
            $lbSelect .= '<option value="' . $row[0] . '">' . htmlspecialchars($row[1]) . '</option>';
        }
        $result->close();
    }
} else {
    $query = "SELECT id,name FROM `${cfg_dbprefix}admin_lb` WHERE id=$adminLBID;";
    $lbSelect = '';
    if ($result = $nxsql->query($query)) {
        while ($row = $result->fetch_row()) {
            $lbSelect .= '<option value="' . $row[0] . '">' . htmlspecialchars($row[1]) . '</option>';
        }
        $result->close();
    }
}
$name = '';
